/* Shadow 1.0 (27.11.94) by NDY's  */

/* The following variables can be altered:  */
xpos=.4    /* Horizontal displacement (relative to the textblock's height) */
ypos=.4    /* Vertical displacement (relative to the textblock's height) */
zoom=-.1   /* Zoom factor (relative to the textblock's height/width) */
steps=15   /* # of objects to be created (increase this if you use large "pos" values
              or large objects) */

/* Now let's create the shadow! */
OPTIONS RESULTS
FirstObject "SELECTED"
txt=0
o=RESULT
IF o~=0 THEN
  DO
    cnt=0
    DO UNTIL o=0
      obj.cnt=o
      NextObject o "SELECTED"
      o=RESULT
      cnt=cnt+1
    END
    DO i=0 TO cnt-1 WHILE txt=0
      GetObjectType obj.i
      IF RESULT=7 THEN txt=obj.i
    END
  END
IF txt~=0 THEN
  DO
    GetDocItemPrefs "DECIMAL"
    deci=RESULT
    DocItemPrefs "DECIMAL PERIOD"
    Status "FONTCOLOR"
    tcol=RESULT
    GetObjectTypeSpecs txt "SIZE LEADING WIDTH OBLIQUE POSITION CASE STYLE FONT"
    PARSE VAR RESULT tsize tlead twid tobl tpos tcase tstyl tfont
    TextBlockTypePrefs "SIZE" tsize "LEADING" tlead "WIDTH" twid "OBLIQUE" tobl "POSITION" tpos "CASE" tcase "STYLE" tstyl "COLOR" tcol
    IF Left(tfont,1)~=" " THEN tfont=" "||tfont
    TextBlockTypePrefs "FONT"||tfont
    GetObjectCoords txt
    PARSE VAR RESULT page x y w h
    GetObjectRotation txt
    rot=RESULT
    GetTextBlockText txt
    text=RESULT
    xstp=h*xpos/steps
    ystp=h*ypos/steps
    wstp=w*zoom/steps
    hstp=h*zoom/steps
    DO i=1 TO steps
      x=x+xstp
      y=y+ystp
      w=w+wstp
      h=h+hstp
      DrawTextBlock page x y text
      obj.i=RESULT
      SetObjectRotation obj.i rot
      IF dw~=0 | dh~=0 THEN SetObjectCoords obj.i page x y w h
    END
    ObjectToFront txt
    SelectObject
    DO i=1 TO steps
      SelectObject obj.i "MULTIPLE"
    END
    SelectObject txt "MULTIPLE"
    Group
    DocItemPrefs "DECIMAL" deci
  END
